com.threerings.parlor.game.data

## Class UserIdentifier

- java.lang.Object
- - com.threerings.parlor.game.data.UserIdentifier

    public class UserIdentifier
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `UserIdentifier.Ider` Implement this and set the mutha up.

### Constructor Summary

Constructors
Constructor and Description
`UserIdentifier()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getUserId(com.threerings.util.Name name)` Returns the id of the specified user, or 0 if they're not valid.
`static void` `setIder(UserIdentifier.Ider userIder)` Set the global user identifier to use.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserIdentifier

    public UserIdentifier()

### Method Detail

#### getUserId

    public static int getUserId(com.threerings.util.Name name)

Returns the id of the specified user, or 0 if they're not valid.

#### setIder

    public static void setIder(UserIdentifier.Ider userIder)

Set the global user identifier to use.